# DataExchange
TKXSBase
StepData

# StepData_StepDumper Class Reference

Provides a way to dump entities processed through STEP, with
these features :
- same form as for writing a STEP File (because it is clear
and compact enough, even if the names of the fields do not
appear) : thus, no additionnal resource is required
- possibility to look for an entity itself (only its Type or
with its content), an entity and it shared items (one level)
or all the entities its refers to, directly or recursively.
.

`#include <StepData_StepDumper.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepData_StepDumper (const Handle(StepData_StepModel)&amodel, const Handle(StepData_Protocol)&protocol, const Standard_Integer mode=0)
| Creates a StepDumper, able to work on a given StepModel (which defines the total scope for dumping entities) and a given Protocol from Step (which defines the authorized types to be dumped) <mode> commands what is to be displayed (number or label) 0 for number (and corresponding labels are displayed apart) 1 for label (and corresponding numbers are displayed apart) 2 for label without anymore .
Standard_EXPORT StepData_StepWriter & | StepWriter ()
| Gives an access to the tool which is used to work : this allow to acts on some parameters : Floating Format, Scopes ... .
Standard_EXPORT Standard_Boolean | Dump (const Handle(Message_Messenger)&S, const Handle(Standard_Transient)&ent, const Standard_Integer level)

Dumps a Entity on an Messenger. Returns True if
sucess, False, if the entity to dump has not been recognized
by the Protocol. <level> can have one of these values :
- 0 : prints the TYPE only, as known in STEP Files (StepType)
If <ent> has not been regognized by the Protocol, or if its
type is Complex, the StepType is replaced by the display of
the cdl type. Complex Type are well processed by level 1.
- 1 : dumps the entity, completely (whatever it has simple or
complex type) but alone.
- 2 : dumps the entity completely, plus the item its refers to
at first level (a header message designates the starting
entity of the dump) <lists shared="" and="" implied="">
- 3 : dumps the entity and its refered items at any levels
For levels 1,2,3, the numbers displayed (form #nnn) are the
numbers of the corresponding entities in the Model
.

Standard_EXPORT Standard_Boolean | Dump (const Handle(Message_Messenger)&S, const Standard_Integer num, const Standard_Integer level)
| Works as Dump with a Transient, but directly takes the entity designated by its number in the Model Returns False, also if <num> is out of range .

## Private Attributes

Handle_StepData_StepModel | themodel
Interface_GeneralLib | theslib
StepData_WriterLib | thewlib
StepData_StepWriter | thewriter

## Constructor & Destructor Documentation

Standard_EXPORT StepData_StepDumper::StepData_StepDumper | ( | const Handle(StepData_StepModel)& | amodel,
|  | const Handle(StepData_Protocol)& | protocol,
|  | const Standard_Integer | mode = `0`
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean StepData_StepDumper::Dump | ( | const Handle(Message_Messenger)& | S,
|  | const Standard_Integer | num,
|  | const Standard_Integer | level
| ) |

Standard_EXPORT Standard_Boolean StepData_StepDumper::Dump | ( | const Handle(Message_Messenger)& | S,
|  | const Handle(Standard_Transient)& | ent,
|  | const Standard_Integer | level
| ) |

void StepData_StepDumper::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepData_StepDumper::operator new | ( | size_t | size | ) | `[inline]`

void* StepData_StepDumper::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT StepData_StepWriter& StepData_StepDumper::StepWriter | ( |  | ) |

## Field Documentation

Handle_StepData_StepModel StepData_StepDumper::themodel `[private]`

Interface_GeneralLib StepData_StepDumper::theslib `[private]`

StepData_WriterLib StepData_StepDumper::thewlib `[private]`

StepData_StepWriter StepData_StepDumper::thewriter `[private]`

The documentation for this class was generated from the following file:

- StepData_StepDumper.hxx